# Create new point cloud

| **Description** | Request to create a new point cloud layer. |
| --------------- | ------------------------------------------ |
| **Endpoint**    | `/path/pointCloud`                         |
| **Method**      | POST                                       |

### Access Level Rules

| **Minimum Access Level** | edit+ on the parent folder or account holder when in the myDrive root |
| ------------------------ | --------------------------------------------------------------------- |

### Processing Units

| **Processing units** | 0 |
| -------------------- | - |

### Parameters

<table><thead><tr><th>Name</th><th>Description</th><th>Required</th><th>Default</th><th data-hidden>Required</th><th data-hidden>Default</th></tr></thead><tbody><tr><td><code>name</code></td><td>The name of the new point cloud layer.</td><td>true</td><td></td><td>true</td><td></td></tr><tr><td><code>parentId</code></td><td><p>The id of the parent folder of the new path.</p><p>If omitted the new path is placed in your myDrive root.</p></td><td>false</td><td>Default null.</td><td>false</td><td>null</td></tr><tr><td><code>publicAccess</code></td><td><a href="/pages/jWHxOKKaASR2HwgmIQkh">Public access object</a> with properties "hidden" and "accessTier"<br><br>"accessTier" must be between "none" and "edit" and "hidden" must be a boolean.</td><td>false</td><td>Default {accessTier:"none", hidden:true}.</td><td>false</td><td>publicAccessLevel</td></tr><tr><td><code>metadata</code></td><td>A JSON with properties "description", "properties",  "license" and "link" containing metadata of the path.</td><td>false</td><td>Default null.</td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-pointcloud/create-new-point-cloud.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
